Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class Conditions

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.Conditions

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class Conditions

extends Object
implements Serializable

Java class for ConditionsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConditionsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice maxOccurs="unbounded" minOccurs="0">
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Condition"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AudienceRestriction"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}OneTimeUse"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}ProxyRestriction"/>
           </choice>
           <attribute name="NotBefore" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           <attribute name="NotOnOrAfter" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Conditions()`

Method Summary
`List<ConditionAbstractType>` | `getConditionsAndAudienceRestrictionsAndOneTimeUses()` Gets the value of the conditionsAndAudienceRestrictionsAndOneTimeUses property.
`org.joda.time.DateTime` | `getNotBefore()` Gets the value of the notBefore property.
`org.joda.time.DateTime` | `getNotOnOrAfter()` Gets the value of the notOnOrAfter property.
`void` | `setNotBefore(org.joda.time.DateTime value)` Sets the value of the notBefore property.
`void` | `setNotOnOrAfter(org.joda.time.DateTime value)` Sets the value of the notOnOrAfter property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Conditions

    public Conditions()

Method Detail

### getConditionsAndAudienceRestrictionsAndOneTimeUses

    public List<ConditionAbstractType> getConditionsAndAudienceRestrictionsAndOneTimeUses()

  Gets the value of the conditionsAndAudienceRestrictionsAndOneTimeUses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the conditionsAndAudienceRestrictionsAndOneTimeUses property.

  For example, to add a new item, do as follows:

          getConditionsAndAudienceRestrictionsAndOneTimeUses().add(newItem);

  Objects of the following type(s) are allowed in the list `ConditionAbstractType` `AudienceRestriction` `OneTimeUse` `ProxyRestriction`

### getNotBefore

    public org.joda.time.DateTime getNotBefore()

  Gets the value of the notBefore property.

  Returns:
    possible object is `String`

### setNotBefore

    public void setNotBefore(org.joda.time.DateTime value)

  Sets the value of the notBefore property.

  Parameters:
    `value` - allowed object is `String`

### getNotOnOrAfter

    public org.joda.time.DateTime getNotOnOrAfter()

  Gets the value of the notOnOrAfter property.

  Returns:
    possible object is `String`

### setNotOnOrAfter

    public void setNotOnOrAfter(org.joda.time.DateTime value)

  Sets the value of the notOnOrAfter property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.